Skip to main content

Get customer reward by ID

GET /v1/public/customers/{customerId}/rewards/{rewardId}

Returns one reward instance belonging to the specified customer.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
customerIdpathstringYesThe customer's returned id or externalId.
rewardIdpathstringYesThe customer reward's returned id or externalId, not its template ID.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941235/rewards/66c735e253f2836fbe941236" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customer reward retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941236",
"title": "Free Coffee",
"status": "active",
"expiry": "2026-09-23T11:00:00.000Z"
}
}